using DelimitedFiles

OVERWRITE = true

#strainstruct = [2 2]
chi          = 10.0 .^ -(1:0.5:9)
#gamma        = [0.55, 0.66, 0.77]
#sigma        = [3, 10, 30]
#rnaught      = [2, 3, 4]

#params = [[χ γ σ R01 R02] for χ in chi for γ in gamma for σ in sigma for R01 in rnaught for R02 in rnaught for rep in 1:10]
#params = params[[x[4] != x[5] for x in params]]

other_params = [(0.55, 32, 2, 5),
                (0.55, 32, 5, 2),
                (0.66,  8, 2, 5),
                (0.66,  8, 5, 2),
                (0.77,  4, 3, 5),
                (0.77,  4, 5, 3)]

params = [[χ op...] for χ in chi for op in other_params for rep in 1:10]

writedlm("variable_movement_param_list.csv", vcat(params...))
file_base = "VMR_"

n_jobs = 100
job_length = ceil(length(params) / n_jobs)
modulo_job_length = (1:length(params)) .% job_length

indices = zip(findall(modulo_job_length .== 1), findall(modulo_job_length .== 0))

for (start_index, stop_index) in indices
    if isfile("../Results/VMR/[2 2];1000000.0;$start_index;$stop_index;0.1.csv") & !OVERWRITE
        continue
    end
    open("$file_base$start_index-$stop_index.jl", "w") do f
        write(f, """
        using DelimitedFiles
        include("state_space_exploration.jl")
        all_params = readdlm("variable_movement_param_list.csv")
        variable_movement_rate([all_params[x,:] for x in $start_index:$stop_index], $start_index, $stop_index)
        """)
    end

    open("$file_base$start_index-$stop_index.sh", "w") do f
        write(f, """
        #!/bin/bash
        #PBS -N $file_base$start_index-$stop_index.sh
        #PBS -j oe
        #PBS -l walltime=12:00:00
        #PBS -l nodes=1:ppn=8
        #PBS -l pmem=8gb

        cd ~/multipop_mantis/Code/
        ~/julia/julia $file_base$start_index-$stop_index.jl
        """)
    end
    run(`qsub $file_base$start_index-$stop_index.sh`)
    sleep(0.1)
end
