% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MANTIS.R
\name{extractPathogenPrevByHost}
\alias{extractPathogenPrevByHost}
\title{Returns a time-series for the total prevalence of the simulated pathogen.}
\usage{
extractPathogenPrevByHost(data)
}
\arguments{
\item{data}{the list as obtained from running the simulation. See \code{?runMANTIS} for details.}
}
\value{
a numeric array with the time-series of the total prevalence for the simulated pathogen.
}
\description{
The number of infectious individuals to each strain (Y) is used to estimate the total pathogen prevalence, i.e. as the fraction of the
population that is infected with at least one strain. In effect, each infectious class is considered independently and each infected individual 
is counted once, regardless of how many times they may be infected. This value is therefore bounded between 0 and 1.
}

