% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MANTIS.R
\name{extractYRelPrevalences}
\alias{extractYRelPrevalences}
\title{Returns the relative prevalence time-series for the infectious (Y) classes.}
\usage{
extractYRelPrevalences(data, method = "host")
}
\arguments{
\item{data}{the list as obtained from running the simulation. See \code{?runMANTIS} for details.}

\item{method}{a character string to choose the method to be used for the estimation of the pathogen's total prevalence. Methods are \code{"host"} and \code{"strain"} and relate to how total 
prevalence of the pathogen is estimated. When \code{method="host"} the function \code{extractPathogenPrevByStrain} is called and when \code{method="strain"} 
the function \code{extractPathogenPrevByHost} is called. See the help of each function for how they differ. Estimations are expected to be very similar using the two methods.}
}
\value{
a matrix in which each column is an infectious class \code{Yi} for strain \code{i}. The series are calculated by dividing each strain's prevalence by the total pathogen prevalence (as obtained by \code{extractPathogenPrevByStrain}).
}
\description{
The list returned from \code{runMANTIS} is used to obtain only the relative prevalence time-series of the Y classes. See \code{?runMANTIS} for what it returns.
}

