library(MANTIS)
library(tidyverse)
library(magrittr)
library(parallel)

# load("../parameter_exploration.RData")
cargs <- commandArgs(TRUE)
rseed <- as.integer(cargs[1])
gamma <- as.numeric(cargs[2])
sigma <- as.numeric(cargs[3])

# struct_22 %>%
#   bind_rows() %>%
#   mutate(dynamics = case_when(unique_nonzeros == 0 ~ "extinct",
#                               unique_nonzeros == 1 ~ "steady",
#                               unique_nonzeros > 1  ~ "cycles")) %>%
#   select(-unique_nonzeros) %>% distinct() %>%
#   group_by(population, beta, gamma, sigma, mu) %>%
#   arrange(dynamics) %>% summarise(dynamics = table(dynamics) %>% {str_c(., names(.), collapse=".")}) %>%
#   {ggplot(.) +
#       aes(x=gamma, y=sigma / mu, fill=dynamics) +
#       geom_tile() +
#       scale_y_log10() +
#       coord_cartesian(expand=FALSE)}

n_populations <- 1
mu <- 0.02
struct <- c(2,2)

# token_dynamics <- list(steady_1  = c(gamma=0.25, sigma=400),
#                        cycles_1  = c(gamma=0.75, sigma=400),
#                        steady_2  = c(gamma=0.90, sigma=400),
#                        exclusion = c(gamma=0.99, simga=400))

# set.seed(0)
strains <- expand.grid(lapply(struct, seq, from=1, by=1) %>% setNames(str_c("locus", 1:length(.))))

# Sys.time()
# replicated_dynamics <- token_dynamics %>% lapply(function(params) {
  # lapply(0:9, function(rseed) {

    set.seed(rseed)
    initial_conditions <- runif(prod(struct) * n_populations) %>% {. / sum(.)} %>% subtract(0.0001)

    # gamma <- params[1]
    # sigma <- params[2]
    beta <- 4 * sigma

    tmax <- 15000
    tstep <- 0.000001
#    tstep <- 0.01

    mantis_output <- runMANTIS(epiStruc=struct, initCondY=initial_conditions,
                               tMax=tmax, tObsPer=10000, tStep=tstep,
                               # tMax=tmax, tObsPer=1, tStep=tstep,
                               beta=beta, gamma=gamma, sigma=sigma, mu=mu)

    as_tibble(mantis_output$Y %>%
                set_colnames(expand.grid(str_c("Population_", 1:n_populations),
                                         c("y", "z", "w"),
                                         str_c("Strain_", unite(strains, "ss", sep="")$ss)) %>%
                               select(Var1, Var3, Var2) %>%
                               unite("x", sep=".") %>% use_series(x))) %>%
      mutate(time=mantis_output$T) %>%
      filter(time > 0.95 * max(time)) %>%
      select(time, matches("\\.z")) %>%
      gather("details", "prevalence", -time) %>%
      separate(details, c("population", "strain", "equation"), "\\.") %>%
      mutate(prevalence = round(prevalence, 4)) %>%
      group_by(population, strain) %>%
      summarise(unique_nonzeros = sum(unique(prevalence) > 0)) %>%
      mutate(beta=beta, gamma=gamma, sigma=sigma, mu=mu,
             strain_structure=str_c(struct, collapse="_"),
             rep=rseed) %>%
      write_csv(path=str_c(str_c("SSR", rseed, gamma, sigma, sep="_"), ".csv"))
  # })
# })
# Sys.time()

# replicated_dynamics %>%
#   mutate(dynamics = case_when(unique_nonzeros == 0 ~ "extinct",
#                               unique_nonzeros == 1 ~ "steady",
#                               unique_nonzeros > 1  ~ "cycles")) %>%
#   select(-unique_nonzeros) %>% distinct() %>%
#   group_by(population, rep, beta, gamma, sigma, mu) %>%
#   arrange(dynamics) %>% summarise(dynamics = table(dynamics) %>% {str_c(., names(.), collapse=".")}) %>%
#   ungroup() %>%
#   count(population, beta, gamma, sigma, mu, dynamics)
