% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MANTIS.R
\name{calcDiversity}
\alias{calcDiversity}
\title{Calculates diversity measures on strain's time-series.}
\usage{
calcDiversity(tsSeries, xiObs = 0.5, xfObs = 1, method = "shannon")
}
\arguments{
\item{tsSeries}{a matrix in which columns are the time-series to apply the diversity method. Such a matrix can be obtained from running a 
simulation with \code{runMANTIS}. For example, if \code{simdata=runMANTIS(...)}, then \code{Y=extractY(simdata)} can be used to obtain a matrix of infectious classes. 
See \code{?runMANTIS}, \code{?extractY}, \code{?extractW} and \code{?extractZ} for details.}

\item{xiObs}{the starting proportion of time to use for diversity. For example \code{xiObs=0.5} will start from the middle of the time-series.}

\item{xfObs}{the end proportion of time to use for diversity.}

\item{method}{a character string of two possible values, \code{"shannon"} or \code{"simpson"}, see description for details.}
}
\value{
a numeric array for the diversity in time.
}
\description{
A matrix with time-series is used to generate estimates of diversity in time. These estimates can be generated by two
standard methods: \code{Shannon} and \code{Simpson} indexes. The Shannon Index is defined as \code{SH = -sum Yr_i log Yr_i}, 
where \code{Yr_i} is the proportional abundance of strain \code{i}; log is the exponential logarithm. The Simpson Index is 
based on \code{SI = sum Yr_i^2}, returning \code{1-SI}.
}

