% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MANTIS.R
\name{measureDiversityfromGammaRange}
\alias{measureDiversityfromGammaRange}
\title{Measures mean strain diversity for a set of different simulations with varying gamma.}
\usage{
measureDiversityfromGammaRange(gammas, method, epiStruc, tMax, tObsPer, tInt,
  tStep, initCondY, beta, sigma, mu, xiObs = 0.6, xfObs = 1)
}
\arguments{
\item{gammas}{a numeric array with values for the \code{gamma} parameter.}

\item{method}{character string for the method to be used in the diversity measure. See \code{?calcDiversity} for details.}

\item{epiStruc}{see \code{?runMANTIS} for details.}

\item{tMax}{see \code{?runMANTIS} for details.}

\item{tObsPer}{see \code{?runMANTIS} for details.}

\item{tInt}{see \code{?runMANTIS} for details.}

\item{tStep}{see \code{?runMANTIS} for details.}

\item{initCondY}{see \code{?runMANTIS} for details.}

\item{beta}{see \code{?runMANTIS} for details.}

\item{sigma}{see \code{?runMANTIS} for details.}

\item{mu}{see \code{?runMANTIS} for details.}

\item{xiObs}{the starting proportion of time to use for SSD. For example \code{xiObs=0.5} will start from the middle of the time-series.}

\item{xfObs}{the end proportion of time to use for SSD.}
}
\value{
a numeric array with the measures for mean strain diversity in each simulation with different \code{gamma}.
}
\description{
Various simulations can be run sequencially, for the same epidemiological parameters, while varying the
cross-immunity parameter \code{gamma}; for each run, mean strain diversity is calculated.
}

