% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MANTIS.R
\name{plotSeqsOfDomVariant}
\alias{plotSeqsOfDomVariant}
\title{Plot the sequences of the dominanting strains in time.}
\usage{
plotSeqsOfDomVariant(data, extThreshold, epiStruc, fileout = NA, w = 7 *
  1.5, h = 1.5 * 2.5, colours = NULL, xiObs = 0, xfObs = 1,
  mainLeft = "full time-series",
  mainRight = "allelic info of dominant variants",
  yylabLeft = "proportion infected", yylabRight = "allele at loci L",
  xxlab = "time")
}
\arguments{
\item{data}{see \code{?plotY} for details.}

\item{extThreshold}{see \code{?extractDomVariant} or \code{?extractNoveltyVariant} for details.}

\item{epiStruc}{desired antigenic structure for the simulation. See \code{?runMANTIS} for details.}

\item{fileout}{see \code{?plotY} for details.}

\item{w}{see \code{?plotY} for details.}

\item{h}{see \code{?plotY} for details.}

\item{colours}{see \code{?plotY} for details.}

\item{xiObs}{see \code{?plotY} for details.}

\item{xfObs}{see \code{?plotY} for details.}

\item{mainLeft}{title for left subplot.}

\item{mainRight}{title for right subplot.}

\item{yylabLeft}{tile for top-left subplot y-axis.}

\item{yylabRight}{tile for top-right subplot y-axis.}

\item{xxlab}{see \code{?plotY} for details.}
}
\description{
Makes 2 plots. Left subplot presents the simulated time series of the Y classes with the \code{extThreshold}
highlighted with a dashed black line. Right subplot presents the loci and alleles of the dominating strains
in time. In this plot, each locus is in a row and each column presents the alleles by colour (each possible
allele per locus has an unique colour). The number of available colours equals the maximum of available
alleles in all loci. Can create a PDF file.
}

